<?php
/**
 * slider customizer options for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package bizzoy
 */


/** Service Section Settings Start **/

    $wp_customize->add_section('bizzoy_services',              
        array(
            'title'       => esc_html__('Home Service Section', 'bizzoy'),          
            'description' => '',             
            'panel'       => 'frontpage',      
            'priority'    => 140,
        )
    );
    

  $wp_customize->add_setting('show_services',array(
            'default' => false,
            'sanitize_callback' => 'bizzoy_sanitize_checkbox',
            'capability' => 'edit_theme_options',
    ));  

    $wp_customize->add_control( 'show_services', array(
           'settings' => 'show_services',
           'section'   => 'bizzoy_services',
           'label'     => esc_html__('Show Services','bizzoy'),
           'type'      => 'checkbox'

     ));

    // Services title
    $wp_customize->add_setting('bizzoy_services_title', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );


    $wp_customize->add_control('bizzoy_services_title',
        array(
           'label'    => esc_html__('service Title', 'bizzoy'),
           'section'  => 'bizzoy_services',
           'priority' => 10
        )
    );

  
for( $i = 1; $i <=6; $i++ ){
   


        $wp_customize->add_setting(
            'bizzoy_service_page'.$i,
            array(
                'default'           => '',
                'sanitize_callback' => 'sanitize_text_field'
            )
        );

        $wp_customize->add_control(
            'bizzoy_service_page'.$i,
            array(
                'settings'      => 'bizzoy_service_page'.$i,
                'section'       => 'bizzoy_services',
                'type'          => 'dropdown-pages',
                'label'         => esc_html__( 'Select a Page', 'bizzoy' )
            )
        );

        $wp_customize->add_setting(
            'bizzoy_service_page_icon'.$i,
            array(
                'default'           => 'fa-bell',
                'sanitize_callback' => 'bizzoy_sanitize_text'
            )
        );

        $wp_customize->add_control(
            new Bizzoy_Fontawesome_Icon_Chooser(
                $wp_customize,
                'bizzoy_service_page_icon'.$i,
                array(
                    'settings'      => 'bizzoy_service_page_icon'.$i,
                    'section'       => 'bizzoy_services',
                    'type'          => 'icon',
                    'label'         => esc_html__( 'FontAwesome Icon', 'bizzoy' )
                )
            )
        );
    }